Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.util
Class MalletProgressMessageLogger

    java.lang.Object
      java.util.logging.Logger
          cc.mallet.util.MalletLogger
              cc.mallet.util.MalletProgressMessageLogger

    public class MalletProgressMessageLogger

extends MalletLogger

Created by IntelliJ IDEA. User: hough Date: Feb 10, 2004 Time: 4:37:07 PM To change this template use Options | File Templates.

Field Summary

Fields inherited from class cc.mallet.util.MalletLogger
`LoggingLevels`

Fields inherited from class java.util.logging.Logger
`global`

Constructor Summary
`protected` | `MalletProgressMessageLogger(java.lang.String name, java.lang.String resourceBundleName)`

Method Summary
`static java.util.logging.Logger` | `getLogger(java.lang.String name)`
`void` | `log(java.util.logging.LogRecord logRecord)`

Methods inherited from class cc.mallet.util.MalletLogger
`getRootLogger`

Methods inherited from class java.util.logging.Logger
`addHandler, config, entering, entering, entering, exiting, exiting, fine, finer, finest, getAnonymousLogger, getAnonymousLogger, getFilter, getHandlers, getLevel, getLogger, getName, getParent, getResourceBundle, getResourceBundleName, getUseParentHandlers, info, isLoggable, log, log, log, log, logp, logp, logp, logp, logrb, logrb, logrb, logrb, removeHandler, setFilter, setLevel, setParent, setUseParentHandlers, severe, throwing, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MalletProgressMessageLogger

    protected MalletProgressMessageLogger(java.lang.String name,
                                          java.lang.String resourceBundleName)

Method Detail

### getLogger

    public static java.util.logging.Logger getLogger(java.lang.String name)

### log

    public void log(java.util.logging.LogRecord logRecord)

  Overrides:
    `log` in class `java.util.logging.Logger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD